<?php
/**
 * @var $this IWD_Opc_Block_Onepage_Address_Shipping
 * @var $opcAddressHelper IWD_Opc_Helper_Address
 */
$isLoggedIn = $this->isCustomerLoggedIn();
$customerHasAddress = $this->customerHasAddresses();
$opcAddressHelper = $this->helper('iwd_opc/address');
?>
	<h4 class="address_heading" ><?php echo Mage::helper("customer")->__("Shipping Address");?></h4>
<a class="shipping-address-error hide"><?php echo Mage::helper('checkout')->__("Please fill in all fields");?></a>
<?php if ($isLoggedIn && $customerHasAddress) { ?>
    <div class="iwd_opc_universal_wrapper">
	<?php /*echo $this->getAddressHtmlSelect();*/ ?>
<?php $addresses= $this->getCustomer()->getAddresses();
	foreach($addresses as $address)
	{
		?>
		<div>
			<input id="shipping_address_<?php echo $address->getId();?>" type="radio" name="shipping_address_id" value="<?php echo $address->getId()?>">
			<label for="shipping_address_<?php echo $address->getId();?>"><?php echo $address->format('html')?></label>
		</div>
		
<?php }
?>
		<div>
			<input id="shipping_address_0" onChange="jQuery('#iwd_opc_shipping_address_fields').attr('style','display:block')" type="radio" name="shipping_address_id" value="0">
			<label for="shipping_address_0"><?php echo Mage::helper('checkout')->__('Add New Address');?></label>
		</div>
		
    </div>
<?php } ?>
<div id="iwd_opc_shipping_address_fields"
    <?php if ($customerHasAddress) { ?>
        style="display:none;"
    <?php } ?>
>
    <input type="hidden"
           name="shipping[address_id]"
           value="<?php echo $this->escapeHtml($this->getAddress()->getId()); ?>"/>
    <?php echo $this->getLayout()->createBlock('iwd_opc/onepage_address_widget_name')
        ->setObject($this->getAddress()->getFirstname() ? $this->getAddress() : $this->getQuote()->getCustomer())
        ->setForceUseCustomerRequiredAttributes(!$isLoggedIn)
        ->setFieldIdFormat('shipping:%s')
        ->setFieldNameFormat('shipping[%s]')
        ->toHtml(); ?>
            
    <div class="iwd_opc_universal_wrapper mobile">
        <input type="number" 
autocomplete="off"
               name="shipping[telephone]"
               value="<?php echo $this->escapeHtml($this->getAddress()->getTelephone()); ?>"
               title="<?php echo $this->escapeHtml($this->__('Telephone')); ?>"
               placeholder="<?php echo $this->escapeHtml($this->__('Telephone')); ?>"
               class="iwd_opc_field iwd_opc_input phone_validate2 mobile
                <?php echo $this->escapeHtml($opcAddressHelper->getAttributeValidationClass('telephone')); ?>"/>
    </div>
    <div class="iwd_opc_universal_wrapper zip_code ">
        <input type="text" 
autocomplete="off"
onfocusout="autofillShipping(this)"
               title="<?php echo $this->escapeHtml($this->__('Zip Code')); ?>"
               placeholder="<?php echo $this->escapeHtml($this->__('Zip Code')); ?>"
               name="shipping[postcode]"
               id="shipping:postcode"
               value=""
               class="iwd_opc_field iwd_opc_input validate-zip-international zip_validate2
                    <?php echo $this->escapeHtml($opcAddressHelper->getAttributeValidationClass('postcode')); ?>"/>
    </div>
    <div class="iwd_opc_universal_wrapper hide">
        <input type="text" 
autocomplete="off"
               name="shipping[company]"
               value="<?php echo $this->escapeHtml($this->getAddress()->getCompany()); ?>"
               title="<?php echo $this->escapeHtml($this->__('Company')); ?>"
               placeholder="<?php echo $this->escapeHtml($this->__('Company')); ?>"
               class="iwd_opc_field iwd_opc_input
                <?php echo $this->escapeHtml($opcAddressHelper->getAttributeValidationClass('company')); ?>"/>
    </div>
    
    <?php $streetValidationClass = $opcAddressHelper->getAttributeValidationClass('street'); ?>
    <div class="iwd_opc_universal_wrapper">
        <input type="text" 
autocomplete="off"
               title="<?php echo $this->escapeHtml($this->__('Street Address')); ?>"
               placeholder="<?php echo $this->escapeHtml($this->__('Street Address')); ?>"
               name="shipping[street][]"
               value="<?php echo $this->escapeHtml($this->getAddress()->getStreet(1)); ?>"
               class="iwd_opc_field iwd_opc_input <?php echo $this->escapeHtml($streetValidationClass); ?>"/>
    </div>
    <?php $streetValidationClass = trim(str_replace('required-entry', '', $streetValidationClass)); ?>
    <?php for ($i = 2, $n = $this->helper('customer/address')->getStreetLines(); $i <= $n; $i++) { ?>
        <div class="iwd_opc_universal_wrapper">
            <input type="text" 
autocomplete="off"
                   title="<?php echo $this->escapeHtml($this->__('Address %s', $i)); ?>"
                   placeholder="<?php echo $this->escapeHtml($this->__('Address %s', $i)); ?>"
                   name="shipping[street][]"
                   value="<?php echo $this->escapeHtml($this->getAddress()->getStreet($i)); ?>"
                   class="iwd_opc_field iwd_opc_input <?php echo $this->escapeHtml($streetValidationClass); ?>"/>
        </div>
    <?php } ?>
    <div class="iwd_opc_universal_wrapper">
        <input 
autocomplete="off"
		id="shipping_city"
               title="<?php echo $this->escapeHtml($this->__('City')); ?>"
               placeholder="<?php echo $this->escapeHtml($this->__('City')); ?>"
               name="shipping[city]"
               value="<?php echo $this->escapeHtml($this->getAddress()->getCity()); ?>"
               class="iwd_opc_field iwd_opc_input
                <?php echo $this->escapeHtml($opcAddressHelper->getAttributeValidationClass('city')); ?>"/>
    </div>
    <div class="iwd_opc_universal_wrapper">
        <?php echo $this->getCountrySelect(); ?>
    </div>
    <div class="iwd_opc_universal_wrapper hide">
        <select id="shipping:region_id"
                name="shipping[region_id]"
                title="<?php echo $this->escapeHtml($this->__('State/Province')); ?>"
                class="iwd_opc_field iwd_opc_select shipping_state"
                >
            <option value="">
                <?php echo $this->escapeHtml($this->__('State or Region')); ?>
            </option>
        </select>
        <script type="text/javascript">
            //<![CDATA[
            $('shipping:region_id').setAttribute('defaultValue', "<?php echo $this->escapeHtml(
                $this->getAddress()->getRegionId()
            ); ?>");
            //]]>
        </script>
        <input type="text" 
autocomplete="off"
               id="shipping:region"
               name="shipping[region]"
               value=""
               title="<?php echo $this->escapeHtml($this->__('State/Province')); ?>"
               placeholder="<?php echo $this->escapeHtml($this->__('State/Province')); ?>"
               class="iwd_opc_field iwd_opc_input shipping_region
		    <?php /*echo $this->escapeHtml($opcAddressHelper->getAttributeValidationClass('region'));*/ ?>"
               style="display:none;"/>
    </div>

    <div class="iwd_opc_universal_wrapper hide">
        <input type="text" 
autocomplete="off"
               name="shipping[fax]"
               value="<?php echo $this->escapeHtml($this->getAddress()->getFax()); ?>"
               title="<?php echo $this->escapeHtml($this->__('Fax')); ?>"
               placeholder="<?php echo $this->escapeHtml($this->__('Fax')); ?>"
               class="iwd_opc_field iwd_opc_input
                <?php echo $this->escapeHtml($opcAddressHelper->getAttributeValidationClass('fax')); ?>"/>
    </div>
    <?php if ($opcAddressHelper->isVatAttributeVisible()) { ?>
        <div class="iwd_opc_universal_wrapper">
            <input type="text" 
autocomplete="off"
                   name="shipping[vat_id]"
                   value="<?php echo $this->escapeHtml($this->getAddress()->getVatId()); ?>"
                   title="<?php echo $this->escapeHtml($this->__('VAT Number')); ?>"
                   placeholder="<?php echo $this->escapeHtml($this->__('VAT Number')); ?>"
                   class="iwd_opc_field iwd_opc_input
                <?php echo $this->escapeHtml($opcAddressHelper->getAttributeValidationClass('vat_id')); ?>"/>
        </div>
    <?php } ?>
    <?php if (!$isLoggedIn) { ?>
        <?php $dateOfBirth = $this->getLayout()->createBlock('iwd_opc/onepage_address_widget_dob'); ?>
        <?php $gender = $this->getLayout()->createBlock('iwd_opc/onepage_address_widget_gender'); ?>
        <?php $taxvat = $this->getLayout()->createBlock('iwd_opc/onepage_address_widget_taxvat'); ?>
        <?php if ($dateOfBirth->isEnabled()) { ?>
            <?php echo $dateOfBirth
                ->setDate($this->getQuote()->getCustomerDob())
                ->setFieldIdFormat('shipping:%s')
                ->setFieldNameFormat('shipping[%s]')
                ->toHtml(); ?>
        <?php } ?>
        <?php if ($gender->isEnabled() && false) { ?>
            <?php echo $gender
                ->setGender($this->getQuote()->getCustomerGender())
                ->setFieldIdFormat('shipping:%s')
                ->setFieldNameFormat('shipping[%s]')
                ->toHtml(); ?>
        <?php } ?>
        <?php if ($taxvat->isEnabled()) { ?>
            <?php echo $taxvat
                ->setTaxvat($this->getQuote()->getCustomerTaxvat())
                ->setFieldIdFormat('shipping:%s')
                ->setFieldNameFormat('shipping[%s]')
                ->toHtml(); ?>
        <?php } ?>
    <?php } ?>
    <div class="iwd_opc_clear"></div>
    <?php if ($isLoggedIn && $customerHasAddress) { ?>
        <div class="iwd_opc_universal_wrapper">
            <label class="iwd_opc_checkbox_label" for="shipping:save_in_address_book">
                <input type="checkbox"
                       name="shipping[save_in_address_book]"
                       id="shipping:save_in_address_book"
                       title="<?php echo $this->escapeHtml($this->__('Save in address book')); ?>"
                       class="iwd_opc_checkbox iwd_opc_field"
                       value="1"
                    <?php if ($this->getAddress()->getSaveInAddressBook()) { ?>
                        checked="checked"
                    <?php } ?>
                />
                <span class="iwd_opc_checkbox_label_value">
                    <?php echo $this->escapeHtml($this->__('Save in address book')); ?>
                </span>
            </label>
        </div>
    <?php } else { ?>
        <input type="hidden" name="shipping[save_in_address_book]" value="1"/>
    <?php } ?>
    <input type="hidden"
           name="shipping[same_as_billing]"
           id="shipping:same_as_billing"
        <?php if ($this->getAddress()->getSameAsBilling() && !$this->helper('iwd_opc')->isShowShippingForm()) { ?>
            value="1"
        <?php } else { ?>
            value="0"
        <?php } ?>/>
    <script type="text/javascript">
        //<![CDATA[
        var shippingRegionUpdater = new RegionUpdater(
            'shipping:country_id',
            'shipping:region',
            'shipping:region_id',
            <?php echo $this->jsQuoteEscape($this->helper('directory')->getRegionJson()); ?>,
            undefined,
	    'shipping:postcode');
		//]]>
		jQuery('#iwd_opc_billing_form .iwd_opc_universal_wrapper>div:nth-child(1) input').attr('checked',true);
		jQuery('#iwd_opc_shipping_form .iwd_opc_universal_wrapper>div:nth-child(1) input').attr('checked',true);

		function autofillShipping(ele){
			var zipval=ele.value;
			if(zipval && !isNaN(zipval) && zipval.length==6)
			{
				var zip=jQuery("#iwd_opc_shipping_address_fields .zip_code input").val();
				var pincodeApiUrl='https://maps.googleapis.com/maps/api/geocode/json?key=AIzaSyCILhl8u8LoXQUcAqVjhAsC0xakb7m4WZg&address='+zip;
				jQuery.get(pincodeApiUrl,function(data){
					if(data.results[0].address_components && data.results[0].address_components.length>3)
					{
						jQuery("#shipping_city").val(data.results[0].address_components[1].long_name);
						jQuery(".shipping_region").val(data.results[0].address_components[data.results[0].address_components.length-2].long_name);
						jQuery('.shipping_state option:contains("'+data.results[0].address_components[data.results[0].address_components.length-2].long_name+'")').prop("selected", true);
					}
				});
			}
		}
    </script>
</div>
